# Cassandra

This page describes the Optimization Pack for the component type Cassandra.

## Metrics

<table><thead><tr><th width="248">Metric</th><th width="142.33333333333331"></th><th>Description</th></tr></thead><tbody><tr><td>read_rate</td><td>ops/s</td><td>Read queries per second</td></tr><tr><td>read_response_time_p99</td><td>milliseconds</td><td>99th percentile of read queries response time</td></tr><tr><td>read_response_time_avg</td><td>milliseconds</td><td>Average response time of read queries</td></tr><tr><td>write_rate</td><td>ops/s</td><td>Write queries per second</td></tr><tr><td>write_response_time_p99</td><td>milliseconds</td><td>99th percentile of write queries response time</td></tr><tr><td>read_response_time_max</td><td>milliseconds</td><td>Maximum response time of read queries</td></tr><tr><td>total_rate</td><td>ops/s </td><td>Total queries per second</td></tr><tr><td>write_response_time_avg</td><td>milliseconds</td><td>Average response time of write queries</td></tr><tr><td>write_response_time_max</td><td>milliseconds</td><td>Maximum response time of write queries</td></tr><tr><td>read_response_time_p90</td><td>milliseconds</td><td>90th percentile of read queries response time</td></tr><tr><td>write_response_time_p90</td><td>milliseconds</td><td>90th percentile of write queries response time</td></tr></tbody></table>

## Parameters

<table><thead><tr><th width="220">Parameter</th><th>Type</th><th width="76">Unit</th><th width="167">Default Value</th><th width="180">Domain</th><th width="89">Restart</th><th>Description</th></tr></thead><tbody><tr><td>cassandra_compactionStrategy</td><td>categorical</td><td></td><td><code>SizeTieredCompactionStrategy</code></td><td><code>LeveledCompactionStrategy</code>, <code>SizeTieredCompactionStrategy</code>, <code>TimeWindowCompactionStrategy</code></td><td>yes</td><td>Compaction strategy in use</td></tr><tr><td>cassandra_concurrentReads</td><td>integer</td><td></td><td><code>32</code></td><td><code>2</code> → <code>128</code></td><td>yes</td><td>Concurrent Reads</td></tr><tr><td>cassandra_concurrentWrites</td><td>integer</td><td></td><td><code>32</code></td><td><code>2</code> → <code>128</code></td><td>yes</td><td>Concurrent Writes</td></tr><tr><td>cassandra_fileCacheSizeInMb</td><td>integer</td><td>megabytes</td><td><code>512</code></td><td><code>128</code> → <code>4096</code></td><td>yes</td><td>Total memory to use for SSTable-reading buffers</td></tr><tr><td>cassandra_memtableCleanupThreshold</td><td>real</td><td></td><td><code>0.11</code></td><td><code>0.01</code> → <code>0.99</code></td><td>yes</td><td>Ratio used for automatic memtable flush</td></tr><tr><td>cassandra_concurrentCompactors</td><td>integer</td><td></td><td><code>2</code></td><td><code>1</code> → <code>32</code></td><td>yes</td><td>Sets the number of concurrent compaction processes allowed to run simultaneously on a node</td></tr><tr><td>cassandra_commitlog_compression</td><td>categorical</td><td></td><td><code>NoCompressor</code></td><td><code>NoCompressor</code>, <code>LZ4Compressor</code>, <code>SnappyCompressor</code>, <code>DeflateCompressor</code></td><td></td><td>Sets the compression of commit log</td></tr><tr><td>cassandra_commitlog_segment_size_in_mb</td><td>integer</td><td>megabytes</td><td><code>32</code></td><td><code>8</code> → <code>32</code></td><td></td><td>Sets the segment size of commit log</td></tr><tr><td>cassandra_compaction_throughput_mb_per_sec</td><td>integer</td><td>megabytes/s </td><td><code>16</code></td><td><code>0</code> → <code>999</code></td><td></td><td>Sets the number of throughput for compaction</td></tr><tr><td>cassandra_commitlog_sync_period_in_ms</td><td>integer</td><td>milliseconds</td><td><code>10000</code></td><td><code>1</code> → <code>25000</code></td><td></td><td>Sets the sync period of commit log</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.akamas.io/akamas-docs/3.1.2/akamas-reference/optimization-packs/cassandra-pack/cassandra.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
